var fs = require("fs");

module.exports = function(file) {
	var schema = ["list", "words"];

	var self = {
		list: [],
		words: []
	};

	function toobj() {
		var obj = {}
		schema.forEach(i => obj[i] = self[i]);
		return obj;
	}

	self.flush = function() {
		fs.writeFileSync(file, JSON.stringify(toobj()));
	}

	try {
		db = JSON.parse(fs.readFileSync(file));
		schema.forEach(i => self[i] = db[i] || self[i]);
	} catch (err) {
		if (err.code !== "ENOENT")
			throw err;

		self.flush();
	}

	return self;
}
